import gulp from 'gulp';
import babel from 'gulp-babel';
import notify from 'gulp-notify';

function compile() {
  gulp
    .src('src/**/*.js')
    .pipe(babel({ presets: [ 'es2015', 'node6' ] }))
    .on('error', error => {
      notify('wp-gulp: Error in compilation.');
      console.error(error);
    })
    .pipe(gulp.dest('dist'));
}

gulp.task('compile', compile);
gulp.task('watch', () => gulp.watch('src/**/*.js', [ 'compile' ]));
gulp.task('default', [ 'compile', 'watch' ]);
