import fs from 'fs';
import path from 'path';

function getDirectories(srcpath) {
  return fs
    .readdirSync(srcpath)
    .filter(file => fs.statSync(path.join(srcpath, file)).isDirectory());
}

function run() {
  const directories = getDirectories(
    path.normalize(`${process.env.PWD}/node_modules`)
  );

  if (!directories) {
    return;
  }

  directories.map(directory => {
    const PHPfilename = path.normalize(
      `${process.env.PWD}/node_modules/${directory}/index.php`
    );

    if (fs.existsSync(PHPfilename)) {
      fs
        .createReadStream(PHPfilename)
        .pipe(
          fs.createWriteStream(
            `${process.env.PWD}/wp-autoload/from-node/${directory}.php`
          )
        );
      return PHPfilename;
    }
  });
}

run();
